Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Class IdentityRequest

    java.lang.Object
      be.fedict.eid.applet.service.spi.IdentityRequest

All Implemented Interfaces:
  Serializable

    public class IdentityRequest

extends Object
implements Serializable

Identity Request.

Author:
  Frank Cornelis
See Also:
  Serialized Form

Constructor Summary
`IdentityRequest(boolean includeIdentity, boolean includeAddress, boolean includePhoto, boolean includeCertificates)` Main constructor.

Method Summary
`boolean` | `includeAddress()`
`boolean` | `includeCertificates()`
`boolean` | `includeIdentity()`
`boolean` | `includePhoto()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityRequest

    public IdentityRequest(boolean includeIdentity,
                           boolean includeAddress,
                           boolean includePhoto,
                           boolean includeCertificates)

  Main constructor.

  Parameters:
    `includeIdentity` - Marks whether the eID operation should also deliver the eID identity data.
    `includeAddress` - Marks whether the eID operation should also deliver the eID address data.
    `includePhoto` - Marks whether the eID operation should also deliver the eID photo.
    `includeCertificates` - Marks whether the eID operation should also deliver the eID certificates.

Method Detail

### includeIdentity

    public boolean includeIdentity()

### includeAddress

    public boolean includeAddress()

### includePhoto

    public boolean includePhoto()

### includeCertificates

    public boolean includeCertificates()

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 FedICT. All Rights Reserved.